Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232854 - RFE: update to upstream 3.6.2
Summary: RFE: update to upstream 3.6.2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: netcdf
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-18 22:45 UTC by Jef Spaleta
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version: 3.6.2-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-01 07:52:30 UTC
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Jef Spaleta 2007-03-18 22:45:01 UTC
Description of problem:
3.6.2 appears to support building of shared C libraries. I was able to
successfully build shared libraries for myself on a centos 4 installation to
work with labview 8.2

It would be super keen to get upstream's 2.6.2 release into Fedora.
If you don't have the time, I'd be willing to co-maintain and get a new release
into devel.

-jef

Comment 1 Ed Hill 2007-03-18 23:00:59 UTC
Hi Jef, I'd be glad to have a co-maintiner for netcdf if you are willing 
to help out (co-maintain) some of the dependent projects such as NCO, CDO,
and ncview.

I've re-vamped the netcdf spec for devel and it seems to work OK here.  Do
you notice anything within it that you'd like to change?  I don't want to 
build and push it for FC-6 and FC-5 until I have had a chance to verify 
that it all works with the dependent packages for devel.  It should be OK,
I just want to test it first.

Ed

Comment 2 Ed Hill 2007-03-18 23:09:15 UTC
I should also mention that I've been insanely busy with ${WORK} and ${FAMILY} 
so its taking longer than intended -- any help is very much appreciated!  :-)

Comment 3 Jef Spaleta 2007-03-18 23:15:28 UTC
My ScientificPython package is also going to depend on it so I have a vested
interested in testing it in -devel.  It shouldn't have a problem for me to
co-maintain other netcdf dependant packages. Do you have a semi-accurate list?

What we really really really need to do is try to get a summary of which srpm's
have a build requires against netcdf-devel currently. I'm sort of afraid that we
don't have a full picture of what actual will be using netcdf shared libs
because we don't have a simple repoquery --whatrequires libnetcdf to make an
accurate list.

I keep meaning to actually look at using nco. Right now I'm using a set of
python scripts based on ScientificPython's approach to accessing netcdf v3 built
files. I'm desperately waiting for netcdf v4 to come out of beta.


-jef

Comment 4 Orion Poplawski 2007-05-18 21:12:16 UTC
Any progress on this?  Now that F7 has branched why don't we get this in devel
for testing?

By my reckoning, these are the netcdf-devel users:

anjuta-gdl
cdo
dap-netcdf_handler
dx
gdal
gdl
grace
grads
kst
LabPlot
nco
ncview
netcdf-decoders
netcdf-perl
ScientificPython
scrip

As a side note, Ed, we probably should add:

%check
make check

to the spec.

Also, what about creating a /usr/share/netcdf-3 with:
lrwxrwxrwx 1 root root 21 May 18 14:48 include -> ../../include/netcdf-3
lrwxrwxrwx 1 root root 19 May 18 14:48 lib -> ../../lib64/netcdf-3

This would allow folks to do things like export NETCDF=/usr/share/netcdf-3
building packages that expect the include and lib dirs to be sharing the same
parent directory.

I'm also happy to co-maintain.

Comment 5 Ed Hill 2007-05-19 02:36:14 UTC
Hi Orion, I'd be thrilled to have you co-maintain.  I'm incredibly busy for 
the next few weeks.  If you have time to push post-F7-branch builds then 
please do so!

Comment 6 Orion Poplawski 2007-05-22 15:47:23 UTC
I've built a 3.6.2 for devel.  Won't really be available until F7 is released. 
I'll ping the netcdf dependent package owners to test.

Comment 7 Patrice Dumas 2007-05-22 17:07:24 UTC
I'd also volunteer to be co-maintainer, since many packages I maintain
or am interested in need netcdf. I'll test rebuilds against the new 
package, too.

Comment 8 Ed Hill 2007-05-22 17:41:18 UTC
Hi Patrice, I appreciate all the work you've done on related packages.
Please feel free to sign on as a netcdf co-maintainer.

Comment 9 Orion Poplawski 2007-05-24 15:58:54 UTC
See above comments for requests/grants of co-maintainership.

Package Change Request
======================
Package Name: netcdf
Updated Fedora Owners: orion@cora.nwra.com, pertusus@free.fr, jspaleta@gmail.com

Comment 10 Orion Poplawski 2007-05-24 16:06:30 UTC
As co-maintainer I'd also like to build EL versions

Package Change Request
======================
Package Name: netcdf
New Branches: EL-4 EL-5

Comment 11 Tom "spot" Callaway 2007-05-24 18:19:38 UTC
cvs done.

Comment 12 Patrice Dumas 2007-06-01 07:52:30 UTC
Closing this bug, everything is in order, now.


Note You need to log in before you can comment on or make changes to this bug.